
import { createRoot } from 'react-dom/client';
import App from './App.tsx';
import './index.css';

// Add beforeinstallprompt event listener for PWA install prompt
let deferredPrompt: any;
window.addEventListener('beforeinstallprompt', (e) => {
  e.preventDefault();
  deferredPrompt = e;
});

createRoot(document.getElementById("root")!).render(<App />);
